Combined
/v4/price-day-ahead/combinedGet both actual and forecasted day-ahead prices for a zone in a single response.
Query Parameters
An Electricity Maps zone key.
The temporal granularity of the data to get.
Latitude of the location to get the data for.
Longitude of the location to get the data for.
If true, the fallback IP-based zone lookup will not be performed.
The number of hours ahead to forecast.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v4/price-day-ahead/combined"{ "zone": "DK-DK2", "data": [ { "zone": "DK-DK2", "datetime": "2024-05-19T03:00:00.000Z", "createdAt": "2024-05-16T03:48:50.419Z", "updatedAt": "2025-07-25T12:32:42.039Z", "value": 100, "unit": "EUR/MWh", "source": "settled_and_published_price", "temporalGranularity": "hourly" } ]}Playground
/v4/price-day-ahead/combinedPast range GET
Get the day-ahead price for a zone and a given datetime range. > [!CAUTION] > The time range is limited to 10 days (240 hours) for an hourly granularity, and to 100 days for a daily granularity. > If you need more data, **you can loop over time ranges**.
Day-ahead Locational Marginal Price (US)
Day-ahead locational marginal prices for individual pricing nodes (addressed by node rather than zone), in $/MWh.